<!DOCTYPE html>
<html>
    <head>
        <title>ITU - Redes - Alvaro Valencia</title>
        <meta charset="UTF-8">
    </head>
    <body bgcolor="#e1ddd2">
        <H1>ITU - Redes - Alvaro Valencia</H1>
        <h1>Función impares entre numeros:</h1>
        <h3>Crear una página que contenga 2 cajas de texto, donde se le pide al usuario un número
            mínimo y un número máximo. Luego de presionar un botón se debe llamar a una
            función javascript en la cual se crea un arreglo con los valores impares que existen
            entre ambos números. Muestre por pantalla los elementos del arreglo.
        </h3>
        <br>
        <label for="minimo">Numero minimo:</label>
        <input type="number" id="minimo">
        <br><br>
        <label for="maximo">Numero maximo:</label>
        <input type="number" id="maximo">
        <br><br>
        <button onclick="mostrarImpares()">Mostrar Impares</button>
        <br><br>
        <div id="resultado"></div>
        <script>
          function mostrarImpares() {
            const minimo = parseInt(document.getElementById("minimo").value);
            const maximo = parseInt(document.getElementById("maximo").value);
            const impares = [];
            for (let i = minimo; i <= maximo; i++) {
              if (i % 2 !== 0) {
                impares.push(i);
              }
            }
          const resultado = document.getElementById("resultado");
          resultado.innerHTML = "Los valores impares son: " + impares.join(", ");
          }
        </script>
    </body>
</html>       
   
